import { BaseEntity, CreateDateColumn, UpdateDateColumn } from 'typeorm';

export abstract class BaseModel extends BaseEntity {
  @CreateDateColumn({
    type: 'timestamp without time zone',
    // default: () => moment().utcOffset(0).format('YYYY-MM-DD HH:mm:ss'),
  })
  created_at: string;

  @UpdateDateColumn({
    type: 'timestamp without time zone',
    // default: () => moment().utcOffset(0).format('YYYY-MM-DD HH:mm:ss'),
  })
  updated_at: string;

  @UpdateDateColumn({
    type: 'timestamp without time zone',
    // default: () => moment().utcOffset(0).format('YYYY-MM-DD HH:mm:ss'),
  })
  timestamp: string;
}
